Subject: bug#56237: 29.0.50; delete-forward-char fails to delete character

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Jun 2022 19:36:44 +0300

> From: Visuwesh <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 26 Jun 2022 21:55:50 +0530
> 
> [ஞாயிறு ஜூன் 26, 2022] Eli Zaretskii wrote:
> 
> >> From: [email-masked]
> >> Date: Sun, 26 Jun 2022 21:37:07 +0530
> >> 
> >> delete-forward-char fails to delete if the point is between two composed
> >> characters.  To demonstrate,
> >> 
> >>         1. emacs -Q
> >>         2. Yank "ரு போ" to the *scratch* buffer
> >>         3. Place the cursor on the space character and say <Delete>
> >> 
> >> Observe how delete-forward-char does nothing.
> >
> > This is a feature (new with Emacs 29): delete-forward-char deletes
> > entire grapheme clusters.  Use C-d if you want to delete individual
> > codepoints inside a grapheme cluster.
> 
> I'm not sure how this defeats my expectation though?  I want the SPC to
> be deleted and it does it do it when the buffer contains "b b" with the
> point over SPC but it fails to do so when the buffer contains "ரு b"
> instead.  I was under the impression that I could safely rebind C-d to
> delete-forward-char.

Sorry, I misunderstood the report.

I tried to fix this now on master.